Bug 1238382 - Review Request: mingw-libspatialite - MinGW Windows libspatialite library
Summary: Review Request: mingw-libspatialite - MinGW Windows libspatialite library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1238376 1238379 1238380
Blocks: 1238378
TreeView+ depends on / blocked
 
Reported: 2015-07-01 18:28 UTC by Sandro Mani
Modified: 2017-09-07 10:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-07 10:47:41 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2015-07-01 18:28:53 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-libspatialite.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-libspatialite-4.2.0-1.fc23.src.rpm
Description: MinGW Windows libspatialite library
Fedora Account System Username: smani

Comment 1 Upstream Release Monitoring 2015-12-03 20:43:08 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 2 Upstream Release Monitoring 2015-12-03 20:44:20 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 3 Upstream Release Monitoring 2015-12-03 20:45:11 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 4 Robert-André Mauchin 2017-09-01 10:13:58 UTC
I will be using the SPEC file and patch from your Github.

SPEC URL: https://github.com/manisandro/fedora-mingw/raw/master/mingw-libspatialite/mingw-libspatialite.spec

I seem to be missing some dependencies:

DEBUG util.py:450:  No matching package to install: 'mingw32-freexl'
DEBUG util.py:450:  No matching package to install: 'mingw32-geos'
DEBUG util.py:450:  No matching package to install: 'mingw32-libcharset'

which are being reviewed by Juan Orti, so it's all good, I just need to build them.

Almost everything is okay, but there are some obsolete macros used in configure.ac that you should patch:

AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: libspatialite-4.3.0a/configure.ac:87
  AM_CONFIG_HEADER found in: libspatialite-4.3.0a/configure.ac:11


diff -up libspatialite-4.3.0a/configure.ac.fix_obsolete_m4s libspatialite-4.3.0a/configure.ac
--- libspatialite-4.3.0a/configure.ac.fix_obsolete_m4s	2015-09-07 15:56:35.000000000 +0200
+++ libspatialite-4.3.0a/configure.ac	2017-09-01 12:02:03.804850737 +0200
@@ -8,7 +8,7 @@ AC_CONFIG_MACRO_DIR([m4])
 
 AM_INIT_AUTOMAKE([foreign])
 AM_MAINTAINER_MODE
-AM_CONFIG_HEADER(config.h)
+AC_CONFIG_HEADERS(config.h)
 
 # enabling huge-file support (64 bit file pointers)
 AH_TEMPLATE([_LARGE_FILE],
@@ -84,7 +84,7 @@ AC_PROG_INSTALL
 AC_PROG_LN_S
 AC_PROG_MAKE_SET
 AC_LIBTOOL_WIN32_DLL
-AC_PROG_LIBTOOL
+LT_INIT
 
 # Checks for typedefs, structures, and compiler characteristics.
 AC_C_CONST



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or later)",
     "Unknown or generated", "BSD (4 clause)", "MIT/X11 (BSD like)", "MPL
     (v1.1) GPL (v2 or later) or LGPL (v2.1 or later)", "GPL (v2 or later)
     (with incorrect FSF address)", "*No copyright* GPL (v2 or later)".
     4640 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/mingw-libspatialite/review-mingw-
     libspatialite/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-libspatialite , mingw64-libspatialite
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-libspatialite : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/spatialite.pc mingw64-libspatialite :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/spatialite.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Comment 5 Sandro Mani 2017-09-05 21:38:23 UTC
All dependencies should now be built in rawhide.

Comment 6 Robert-André Mauchin 2017-09-06 01:15:53 UTC
I've already build this package, if you just fix the obsolete macros (or not this is not mandatory), i'll accept it.

Comment 7 Sandro Mani 2017-09-06 07:44:48 UTC
Ah, right, forgot about that!

Spec URL: https://smani.fedorapeople.org/review/mingw-libspatialite.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-libspatialite-4.3.0a-2.fc28.src.rpm

%changelog
* Wed Sep 06 2017 Sandro Mani <manisandro@gmail.com> - 4.3.0a-2
- Add libspatialite_macros.patch

Comment 8 Robert-André Mauchin 2017-09-06 07:57:01 UTC
Perfect, package accepted.

Comment 9 Gwyn Ciesla 2017-09-06 14:01:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-libspatialite


Note You need to log in before you can comment on or make changes to this bug.